#pragma once

#include "Rectangle.h"
#include "TriMesh.h"

#include "Node.h"
#include "Edge.h"

#include "MeshBuilder.h"
#include "AbstractGeometricItem.h"

#include <tuple>

class MeshPrimitives
{
public:

    static std::unique_ptr<TriMesh> build(const Rectangle& rectangle);

    static std::unique_ptr<TriMesh> buildExplodedGrid(unsigned numX, unsigned numY);
};
